import 'package:clx_flutter_message/core/notice/notice_dialog_widget.dart';
import 'package:get/get.dart';

import '../model/message_data.dart';

mixin NoticeManager {
  NoticeDialogWidgetController? noticeDialogWidgetController = Get.put(NoticeDialogWidgetController());

  void insertNotice(MessageData data) {
    noticeDialogWidgetController?.insertNotice(data);
  }

  void clearNoticeDialog() {
    noticeDialogWidgetController?.clear();
  }

  void setNotice(List<MessageData> data) {
    noticeDialogWidgetController?.setNotice(data);
  }
}
